# Balanced 5-3-3-2 shapes with a five card major
shapecond balanced5M { ($s==5 && ($h * $d * $c == 18)) ||
                       ($h==5 && ($s * $d * $c == 18)) }
											 
sdev northHCP
											 
main {
	set hs [hcp south]
	reject unless {$hs>=20 && $hs<=21}
	# Note: balanced excluded 5 cards suits in the majors.
	# Allow South to open 2N on all 5-3-3-2 shapes.
	reject unless { [balanced south] || [balanced5M south] }

	set hn [hcp north]
	reject unless {$hn>=5 && $hn<=10}
	
	# Responder would make a Puppet Stayman bid or a Jacoby Transfer with a
	# four card or longer major.
	reject if { [hearts north] >= 4 || [spades north] >= 4 }
	
	# Responder will make a Puppet Stayman bid with a three card major and
	# not enough HCP to try for a matchpoint top in 3N.
	reject if { $hn<9 && ([hearts north] == 3 || [spades north] == 3) }
	
	# Assume responder trots out some gadget with 10+ cards in the minor suits.
	reject if { [diamonds north] + [clubs north] >= 10 }
	
	# Assume responder makes a quantitative 4N bid one HCP light with a 5+ card minor.
	reject if { $hn==10 && ([diamonds north] >= 5 || [clubs north] >= 5) }

	northHCP add $hn
	accept
}

deal_finished {
	puts stderr "Total Hands = [northHCP count]";
	puts stderr "North HCP Average = [northHCP average]"
}